

![Stars](https://img.shields.io/github/stars/CoderWanFeng/python-office)
[![All Contributors](https://img.shields.io/github/contributors/CoderWanFeng/python-office)](#contributors-)
![Issues](https://img.shields.io/github/issues/CoderWanFeng/python-office)
![Forks](https://img.shields.io/github/forks/CoderWanFeng/python-office)
![Pull Requests](https://img.shields.io/github/issues-pr/CoderWanFeng/python-office?)
![License](https://img.shields.io/github/license/CoderWanFeng/python-office)

![图片](https://f10.baidu.com/it/u=442371958,171656815&fm=30&app=106&f=JPEG&access=215967316?w=640&h=201&s=D923707E86D40D7216227510020080DA)


自动化办公，学习交流群[👉【戳我加入】](http://www.python4office.cn/wechat-group/)

# 作用
- 一键搭建所有Python + 自动化办公的编程环境。
- 一行代码，解决大部分自动化办公的问题，不需要小白学习Python知识，自己苦哈哈的写代码
- 目前项目已上线Python官网：[传送门](https://pypi.org/project/python-office)


# 下载和使用
视频介绍：[官网发布：python-office库 | 专为Python自动化办公而生，一行代码提高办公效率](https://www.bilibili.com/video/BV1pT4y1k7FH?spm_id_from=333.999.0.0)


0. 安装这个库之前，你的电脑上，需要有python环境
没有的同学，请移步这个6分钟的安装视频：[来，手把手带你搭建Python环境](https://www.bilibili.com/video/BV1Q44y1u7rV)

1. 安装好后，打开pycharm的terminal，输入以下命令，即可自动安装
```
pip install -i https://pypi.tuna.tsinghua.edu.cn/simple python-office -U
```



# 代码文档（持续更新）

## 1、文字版


- Word：
    - Word 批量转成 PDF：[代码](https://mp.weixin.qq.com/s/eBn3N_FEx1dlC_-ttmlOwg)

- PDF
    - TxT 转成 PDF：[代码](https://mp.weixin.qq.com/s/GiXYB_xZdlsYv5AIeIELkA)
    - PDF 加密、解密：[代码](https://mp.weixin.qq.com/s/YOxBzYPMqfl5gCAWtnVXKA)
    - PDF 加水印：[代码](https://mp.weixin.qq.com/s/yJDs5RoytRL5hl-ybXkZOA)

- PPT
    - PPT 批量转成 PDF：[代码](https://mp.weixin.qq.com/s/T31F-U5AdDd3D-61b_K5Qg)

- Image
    - 图片加水印：[代码](https://mp.weixin.qq.com/s/4Pt0YWakkPhfEWVMHwXe8g)

- Files
    - 批量重命名 文件/文件夹：[代码](https://mp.weixin.qq.com/s/4Pt0YWakkPhfEWVMHwXe8g)

- Video
    - 从视频里提取音频：[代码](https://mp.weixin.qq.com/s/4Pt0YWakkPhfEWVMHwXe8g)

- Tools
    - 生成二维码：[代码](https://mp.weixin.qq.com/s/4Pt0YWakkPhfEWVMHwXe8g)
    - 翻译：[代码](https://mp.weixin.qq.com/s/4Pt0YWakkPhfEWVMHwXe8g)

## 2、视频版
- [官网发布：python-office，专为自动化办公而生](https://www.bilibili.com/video/BV1pT4y1k7FH?spm_id_from=333.999.0.0)
- [批量重命名](https://www.bilibili.com/video/BV12r4y187Yj?spm_id_from=333.999.0.0)
- [PPT批量转PDF](https://www.bilibili.com/video/BV17Y411c792?spm_id_from=333.999.0.0)

# 开源仓库

欢迎感兴趣的朋友，通过提交PR的方式，参与该项目的更新与维护。
我每天下午merge一次。源码地址如下

- Gitee地址：[https://gitee.com/CoderWanFeng/python-office](https://gitee.com/CoderWanFeng/python-office)

- GitHub地址：[https://github.com/CoderWanFeng/python-office](https://github.com/CoderWanFeng/python-office)


# 更新记录

| 版本号 | 版本信息            | 发布日期  |
| ------ | ------------------- | --------- |
| 0.0.1  | init：项目初始化          | 2022-4-19 |
| 0.0.2  | init：添加基础库          | 2022-4-21 |
| 0.0.3  | init：matplotlib和easyocr | 2022-4-24 |
| 0.0.4  | init：修改配置文件为setup.cfg | 2022-4-24 |
| 0.0.5  | init：发布wheel文件 | 2022-4-24 |
| 0.0.6  | add：word批量转pdf | 2022-4-24 |
| 0.0.7  | patch：word批量转pdf | 2022-4-24 |
| 0.0.8  | add：单个pdf添加水印 | 2022-4-25 |
| 0.0.9  | patch：因为安装包太大，去掉matplotlib；添加项目交流群 | 2022-4-25 |
| 0.0.10  | add：txt文本转词云功能 | 2022-4-28 |
| 0.0.11  | update：word批量转pdf | 2022-5-1 |
| 0.0.12  | add：重命名指定路径下的文件/文件夹 | 2022-5-4 |
| 0.0.13  | update：因为c++14的原因，去掉wordcloud库，需要的同学，自行install即可 | 2022-5-6 |
| 0.0.14  | add：给图片加水印、生成二维码、提取音频、翻译 | 2022-5-6 |
| 0.0.15  | add：pdf加密、解密 | 2022-5-9 |
| 0.0.16  | update：不再使用wordcloud功能 | 2022-5-10 |
| 0.0.17  | add：txt转pdf | 2022-5-10 |
| 0.0.18  | update：确定第一版readme.md、home链接改为：github地址 | 2022-5-10 |
| 0.0.19  | add：一键模拟生成 - 带有逼真模拟数据的Excel文件 | 2022-5-13 |


> 关于版本更新，如有疑问，请私信微博@[程序员晚枫](http://www.python4office.cn/weibo-qaq/)
>
> 或者，欢迎有学习/定制功能/加入项目需求的同学，直接加入我们的项目交流群👉[点我直达](http://www.python4office.cn/images/2-free-group.jpg)

## 参考资料 
- 教材：
    - [278页PDF：《Python数据分析基础》，0基础入门专用~](https://mp.weixin.qq.com/s/YWNkn366SdF4IWYTczpBAw)
    - [409页PDF：《Python：让繁琐工作自动化》](https://mp.weixin.qq.com/s/yQRSjUliJsdvKW8du9iF6g)
    - [715页PDF：《Python数据科学手册》](https://mp.weixin.qq.com/s/WEZCqQdNY_KljGeXHgzdtA)
- 文档：
    - [深度盘点 | 史上最全Python网站开发库（37个）](https://mp.weixin.qq.com/s/nt38KmPVdiQvdV0q-pW85A)
    - [深度盘点丨史上最全的Python自动化办公库（34个）](https://mp.weixin.qq.com/s/RsBG_cg8GsB2P-9zmhrA1Q)
- 第三方库：
    - [xlwings库 | Excel与Python的完美结合（附使用文档）](https://mp.weixin.qq.com/s/2_qNnsPK6fjEAUu3jf-NFA)
    - [系统性的学会 Pandas， 看这一篇就够了！](https://mp.weixin.qq.com/s/tzy7h_qrk_tkK4ojnRSFtQ)
    - [Python-Docx库 | Word与Python的完美结合（附使用文档）](https://mp.weixin.qq.com/s/_QzBRGeXsqF65-xlzQfFjQ)
    - [python-pptx库 | PPT与Python的完美结合（附使用文档）](https://mp.weixin.qq.com/s/dXrveWypcR5S4XGauS4wcg)
    - [PyPDF2库 | PDF与Python的完美结合（附使用文档）](https://mp.weixin.qq.com/s/M4ARo2SXZcGIjMcv19SVyA)
